Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4044 - ppp with pap login does not create utmp entry
Summary: ppp with pap login does not create utmp entry
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-15 00:01 UTC by rh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 02:42:40 UTC


Attachments (Terms of Use)

Description rh 1999-07-15 00:01:22 UTC
Using mgetty with AutoPPP to login with PAP. The user shows
up on wtmp (last etc shows), but does not show up on utmp
(w, who or finger doesn't show the user).

Comment 1 igmar 1999-07-22 10:42:59 UTC
This is becuase the user is not an actual system user. The entry is
only in /etc/ppp/pap-secrets, and NOT in /etc/passwd. A user is only a
user if it is in /etc/passwd

This is one of the consequences of using AutoPPP

Comment 2 Cristian Gafton 1999-08-30 02:42:59 UTC
The sue that should show up is the a_ppp user.


Note You need to log in before you can comment on or make changes to this bug.